Skip to content

v4.5.0

Compare
Choose a tag to compare
@jtoar jtoar released this 11 Apr 04:05
· 3144 commits to main since this release

Note jest.mock suddenly throwing errors?

If some of your tests that use jest.mock are suddenly throwing errors, there's a chance you're affected by a Jest patch that we tried to hold off till v5. Since it's an unpinned, upstream dependency, there's not much we can do, but fortunately there's workarounds till v5 is out. You can either pin jest-mock to 29.4.2, or use the workaround in the v5 release notes here: https://community.redwoodjs.com/t/redwood-v5-0-0-rc-is-now-available/4715#different-jestrestoreallmocks-behavior-13

Changelog

Features

  • update scaffold generator to use emptyAsUndefined when its needed #8031 by @samthuang

Fixed

Docs

Chore

Core dependencies

  • fix(deps): update prisma monorepo to v4.12.0 #7951
  • fix(deps): update dependency react-hook-form to v7.43.9 #7973
  • fix(deps): update dependency @fastify/static to v6.10.0 #7999

Dependencies

Click to see all upgraded dependencies
  • fix(deps): update docusaurus monorepo to v2.4.0 #7902
  • chore(deps): update dependency nx to v15.8.8 #7905
  • fix(deps): update dependency @types/node to v16.18.19 #7906
  • chore(deps): update dependency @nrwl/nx-cloud to v15.3.2 #7904
  • fix(deps): update dependency prettier to v2.8.7 #7908
  • chore(deps): update dependency nx to v15.8.9 #7913
  • chore(deps): update dependency @tsd/typescript to v5 #7856
  • chore(deps): update dependency lerna to v6.6.1 #7916
  • chore(deps): update dependency esbuild to v0.17.13 #7915
  • chore(deps): update dependency @replayio/playwright to v0.3.27 #7918
  • fix(deps): update dependency @types/node to v16.18.20 #7919
  • fix(deps): update dependency react-hook-form to v7.43.8 #7920
  • chore(deps): update dependency rimraf to v4 #7907
  • chore(deps): update dependency @playwright/test to v1.32.1 #7924
  • fix(deps): update dependency @escape.tech/graphql-armor to v1.8.0 #7922
  • chore(deps): update dependency @clerk/types to v3.31.2 #7932
  • fix(deps): update dependency @types/node to v16.18.21 #7925
  • chore(deps): update dependency esbuild to v0.17.14 #7926
  • chore(deps): update dependency split2 to v4.2.0 #7928
  • fix(deps): update dependency @clerk/clerk-sdk-node to v4.7.17 #7933
  • chore(deps): update dependency @clerk/clerk-react to v4.12.9 #7935
  • fix(deps): update typescript-eslint monorepo to v5.57.0 #7937
  • chore(deps): update dependency @types/lodash to v4.14.192 #7938
  • fix(deps): update dependency @types/webpack to v5.28.1 #7940
  • chore(deps): update dependency @types/yargs to v17.0.24 #7901
  • chore(deps): update dependency cypress to v12.9.0 #7945
  • chore(deps): update dependency @types/react to v18.0.31 #7948
  • chore(deps): update dependency memjs to v1.3.1 #7944
  • fix(deps): update dependency @types/node to v16.18.22 #7949
  • fix(deps): update dependency webpack to v5.77.0 #7959
  • chore(deps): update dependency @nrwl/nx-cloud to v15.3.3 #7961
  • chore(deps): update dependency supertokens-node to v13.2.0 #7958
  • chore(deps): update dependency supertokens-auth-react to v0.31.4 #7957
  • chore(deps): update dependency @clerk/types to v3.32.0 #7955
  • fix(deps): update dependency concurrently to v8 #7952
  • fix(deps): update prisma monorepo to v4.12.0 #7951
  • fix(deps): update dependency eslint to v8.37.0 #7950
  • fix(deps): update dependency graphql-yoga to v3.8.0 #7946
  • chore(deps): update dependency @clerk/clerk-react to v4.14.0 #7954
  • fix(deps): update dependency @clerk/clerk-sdk-node to v4.8.0 #7956
  • chore(deps): update dependency @types/prompts to v2.4.4 #7969
  • chore(deps): update dependency @npmcli/arborist to v6.2.6 #7970
  • fix(deps): update dependency react-hook-form to v7.43.9 #7973
  • fix(deps): update dependency @types/node to v16.18.23 #7963
  • chore(deps): update dependency supertokens-auth-react to v0.31.5 #7965
  • chore(deps): update dependency supertokens-node to v13.3.0 #7967
  • chore(deps): update dependency firebase to v9.19.0 #7971
  • chore(deps): update dependency nx to v15.9.1 #7976
  • chore(deps): update dependency @nrwl/nx-cloud to v15.3.4 #7977
  • chore(deps): update dependency @tsd/typescript to v5.0.3 #7978
  • chore(deps): update dependency @nrwl/nx-cloud to v15.3.5 #7985
  • chore(deps): update dependency nx to v15.9.2 #7983
  • chore(deps): update dependency @clerk/clerk-react to v4.14.1 #7987
  • fix(deps): update dependency @clerk/clerk-sdk-node to v4.8.1 #7988
  • fix(deps): update dependency webpack-dev-server to v4.13.2 #7989
  • chore(deps): update dependency firebase to v9.19.1 #7986
  • chore(deps): update dependency @clerk/types to v3.33.0 #7991
  • chore(deps): update mheap/github-action-required-labels action to v4 #7997
  • chore(deps): update dependency esbuild to v0.17.15 #7994
  • chore(deps): update dependency @replayio/playwright to v0.3.28 #8006
  • chore(deps): update dependency dependency-cruiser to v12.11.1 #7998
  • fix(deps): update dependency @fastify/static to v6.10.0 #7999
  • chore(deps): update dependency @playwright/test to v1.32.2 #8005
  • fix(deps): update dependency core-js to v3.30.0 #8007
  • fix(deps): update typescript-eslint monorepo to v5.57.1 #8008
  • chore(deps): update dependency @azure/msal-browser to v2.35.0 #8009
  • chore(deps): update dependency @clerk/clerk-react to v4.14.2 #8016